SoSFInt32(3IV)

NAME
SoSFInt32 — field containing a int32_t integer

INHERITS FROM
SoField > SoSField > SoSFInt32

SYNOPSIS
#include <Inventor/fields/SoSFInt32.h>

Methods from class SoSFInt32:

static SoType
getClassTypeId()
virtual void
getTypeId() const
int32_t
getValue() const
int32_t
operator =(int32_t newValue)
void
setValue(int32_t newValue)
int
operator ==(const SoSFInt32 &f) const
int
operator !=(const SoSFInt32 &f) const

Methods from class SoField:

void
setIgnored(SbBool ignore)
SbBool
isIgnored() const
SbBool
isDefault() const
virtual SbBool
isOfType(SoType type) const
SbBool
set(const char *valueString)
void
get(SbString &valueString)
void
touch()
SbBool
connectFrom(SoField *fromField)
SbBool
connectFrom(SoEngineOutput *fromEngine)
void
disconnect()
SbBool
isConnected() const
SbBool
isConnectedFromField() const
SbBool
getConnectedField(SoField *&writingField) const
SbBool
isConnectedFromEngine() const
SbBool
getConnectedEngine(SoEngineOutput *&engineOutput) const
void
enableConnection(SbBool flag)
SbBool
isConnectionEnabled() const
int
getForwardConnections(SoFieldList &list) const
SoFieldContainer *
getContainer() const

DESCRIPTION
A field containing a single long (32-bit) integer.

SoSFInt32s are written to file as an integer in decimal, hexadecimal (beginning with '0x') or octal (beginning with '0') format.

METHODS
static SoType
getClassTypeId()
virtual void
getTypeId() const
Returns the type for this class or a particular object of this class.

int32_t
getValue() const
Returns this field's value.

int32_t
operator =(int32_t newValue)
void
setValue(int32_t newValue)
Sets this field to newValue.

int
operator ==(const SoSFInt32 &f) const
int
operator !=(const SoSFInt32 &f) const
Returns TRUE if f is of the same type and has the same value as this field.

SEE ALSO
SoField, SoSField, SoMFInt32, SoSFUInt32